%global pkg plz

Name:           emacs-%{pkg}
Version:        0.9.1
Release:        %autorelease
Summary:        An HTTP library for Emacs

License:        GPL-3.0-or-later
URL:            https://github.com/alphapapa/plz.el
Source0:        %{url}/archive/refs/tags/v%{version}.tar.gz

BuildRequires:  emacs
Requires:       emacs(bin) >= %{_emacs_version}
Requires:       curl

BuildArch:      noarch

%description
plz is an HTTP library for Emacs. It uses curl as a backend,
which avoids some of the issues with using Emacs’s built-in url
library. It supports both synchronous and asynchronous requests.
Its API is intended to be simple, natural, and expressive. Its
code is intended to be simple and well-organized. Every feature
is tested against httpbin.

%prep
%autosetup -n %{pkg}.el-%{version}

%build
%{_emacs_bytecompile} %{pkg}.el


%install
install -dm 0755 $RPM_BUILD_ROOT%{_emacs_sitelispdir}/%{pkg}/
install -pm 0644 %{pkg}.el* -t $RPM_BUILD_ROOT%{_emacs_sitelispdir}/%{pkg}/


%files
%doc README.org
%{_emacs_sitelispdir}/%{pkg}/


%changelog
%autochangelog
